
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel.DataAnnotations;

namespace de.WWWings.CodeOnly
{
    public partial class Passagier
    {
        #region Primitive Properties

       [System.ComponentModel.DataAnnotations.Key]
        public virtual int PersonID
        {
         get;
         set;
        }
    
        public virtual Nullable<System.DateTime> KundeSeit
        {
            get;
            set;
        }
    
        public virtual string KundenStatus
        {
            get;
            set;
        }

        #endregion
        #region Navigation Properties

          [InverseProperty("Passagier")]
        public virtual Person Person
        {
         get;
         set;
        }
  
    
        public virtual ICollection<Flug> Flug
        {
         get;
         set;
        }
   

        #endregion

    }
}
